Package org.eclipse.cdt.utils.debug.dwarf

# Class DwarfConstants

java.lang.Object
org.eclipse.cdt.utils.debug.dwarf.DwarfConstants

public class DwarfConstants extends Object
DWARF constant.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DW_ACCESS_private`
`static final int`
`DW_ACCESS_protected`
`static final int`
`DW_ACCESS_public`
`static final int`
`DW_AT_abstract_origin`
`static final int`
`DW_AT_accessibility`
`static final int`
`DW_AT_address_class`
`static final int`
`DW_AT_artificial`
`static final int`
`DW_AT_base_types`
`static final int`
`DW_AT_bit_offset`
`static final int`
`DW_AT_bit_size`
`static final int`
`DW_AT_body_begin`
`static final int`
`DW_AT_body_end`
`static final int`
`DW_AT_byte_size`
`static final int`
`DW_AT_calling_convention`
`static final int`
`DW_AT_common_reference`
`static final int`
`DW_AT_comp_dir`
`static final int`
`DW_AT_const_value`
`static final int`
`DW_AT_containing_type`
`static final int`
`DW_AT_count`
`static final int`
`DW_AT_data_member_location`
`static final int`
`DW_AT_decl_column`
`static final int`
`DW_AT_decl_file`
`static final int`
`DW_AT_decl_line`
`static final int`
`DW_AT_declaration`
`static final int`
`DW_AT_default_value`
`static final int`
`DW_AT_discr`
`static final int`
`DW_AT_discr_list`
`static final int`
`DW_AT_discr_value`
`static final int`
`DW_AT_element_list`
`static final int`
`DW_AT_encoding`
`static final int`
`DW_AT_external`
`static final int`
`DW_AT_frame_base`
`static final int`
`DW_AT_friend`
`static final int`
`DW_AT_hi_user`
`static final int`
`DW_AT_high_pc`
`static final int`
`DW_AT_identifier_case`
`static final int`
`DW_AT_import`
`static final int`
`DW_AT_inline`
`static final int`
`DW_AT_is_optional`
`static final int`
`DW_AT_language`
`static final int`
`DW_AT_lo_user`
`static final int`
`DW_AT_location`
`static final int`
`DW_AT_low_pc`
`static final int`
`DW_AT_lower_bound`
`static final int`
`DW_AT_mac_info`
`static final int`
`DW_AT_macro_info`
`static final int`
`DW_AT_member`
`static final int`
`DW_AT_MIPS_abstract_name`
`static final int`
`DW_AT_MIPS_allocatable_dopetype`
`static final int`
`DW_AT_MIPS_assumed_shape_dopetype`
`static final int`
`DW_AT_MIPS_assumed_size`
`static final int`
`DW_AT_MIPS_clone_origin`
`static final int`
`DW_AT_MIPS_epilog_begin`
`static final int`
`DW_AT_MIPS_fde`
`static final int`
`DW_AT_MIPS_has_inlines`
`static final int`
`DW_AT_MIPS_linkage_name`
`static final int`
`DW_AT_MIPS_loop_begin`
`static final int`
`DW_AT_MIPS_loop_unroll_factor`
`static final int`
`DW_AT_MIPS_ptr_dopetype`
`static final int`
`DW_AT_MIPS_software_pipeline_depth`
`static final int`
`DW_AT_MIPS_stride`
`static final int`
`DW_AT_MIPS_stride_byte`
`static final int`
`DW_AT_MIPS_stride_elem`
`static final int`
`DW_AT_MIPS_tail_loop_begin`
`static final int`
`DW_AT_name`
`static final int`
`DW_AT_namelist_items`
`static final int`
`DW_AT_ordering`
`static final int`
`DW_AT_priority`
`static final int`
`DW_AT_producer`
`static final int`
`DW_AT_prototyped`
`static final int`
`DW_AT_return_addr`
`static final int`
`DW_AT_segment`
`static final int`
`DW_AT_sf_names`
`static final int`
`DW_AT_sibling`
`static final int`
`DW_AT_specification`
`static final int`
`DW_AT_src_coords`
`static final int`
`DW_AT_src_info`
`static final int`
`DW_AT_start_scope`
`static final int`
`DW_AT_static_link`
`static final int`
`DW_AT_stmt_list`
`static final int`
`DW_AT_stride_size`
`static final int`
`DW_AT_string_length`
`static final int`
`DW_AT_subscr_data`
`static final int`
`DW_AT_type`
`static final int`
`DW_AT_upper_bound`
`static final int`
`DW_AT_use_location`
`static final int`
`DW_AT_variable_parameter`
`static final int`
`DW_AT_virtuality`
`static final int`
`DW_AT_visibility`
`static final int`
`DW_AT_vtable_elem_location`
`static final int`
`DW_ATE_address`
`static final int`
`DW_ATE_boolean`
`static final int`
`DW_ATE_complex_float`
`static final int`
`DW_ATE_float`
`static final int`
`DW_ATE_hi_user`
`static final int`
`DW_ATE_lo_user`
`static final int`
`DW_ATE_signed`
`static final int`
`DW_ATE_signed_char`
`static final int`
`DW_ATE_unsigned`
`static final int`
`DW_ATE_unsigned_char`
`static final int`
`DW_ATE_void`
`static final int`
`DW_CC_hi_user`
`static final int`
`DW_CC_lo_user`
`static final int`
`DW_CC_nocall`
`static final int`
`DW_CC_normal`
`static final int`
`DW_CC_program`
`static final int`
`DW_CFA_advance_loc`
`static final int`
`DW_CFA_advance_loc1`
`static final int`
`DW_CFA_advance_loc2`
`static final int`
`DW_CFA_advance_loc4`
`static final int`
`DW_CFA_def_cfa`
`static final int`
`DW_CFA_def_cfa_offset`
`static final int`
`DW_CFA_def_cfa_register`
`static final int`
`DW_CFA_extended`
`static final int`
`DW_CFA_GNU_args_size`
`static final int`
`DW_CFA_GNU_window_save`
`static final int`
`DW_CFA_high_user`
`static final int`
`DW_CFA_low_user`
`static final int`
`DW_CFA_MIPS_advance_loc8`
`static final int`
`DW_CFA_nop`
`static final int`
`DW_CFA_offset`
`static final int`
`DW_CFA_offset_extended`
`static final int`
`DW_CFA_register`
`static final int`
`DW_CFA_remember_state`
`static final int`
`DW_CFA_restore`
`static final int`
`DW_CFA_restore_extended`
`static final int`
`DW_CFA_restore_state`
`static final int`
`DW_CFA_same_value`
`static final int`
`DW_CFA_set_loc`
`static final int`
`DW_CFA_undefined`
`static final int`
`DW_CHILDREN_no`
`static final int`
`DW_CHILDREN_yes`
`static final int`
`DW_DSC_label`
`static final int`
`DW_DSC_range`
`static final int`
`DW_FORM_addr`
`static final int`
`DW_FORM_block`
`static final int`
`DW_FORM_block1`
`static final int`
`DW_FORM_block2`
`static final int`
`DW_FORM_block4`
`static final int`
`DW_FORM_data1`
`static final int`
`DW_FORM_data2`
`static final int`
`DW_FORM_data4`
`static final int`
`DW_FORM_data8`
`static final int`
`DW_FORM_exprloc`
`static final int`
`DW_FORM_flag`
`static final int`
`DW_FORM_flag_present`
`static final int`
`DW_FORM_GNU_addr_index`
`static final int`
`DW_FORM_GNU_ref_alt`
`static final int`
`DW_FORM_GNU_str_index`
`static final int`
`DW_FORM_GNU_strp_alt`
`static final int`
`DW_FORM_indirect`
`static final int`
`DW_FORM_ref_addr`
`static final int`
`DW_FORM_ref_sig8`
`static final int`
`DW_FORM_ref_udata`
`static final int`
`DW_FORM_ref1`
`static final int`
`DW_FORM_ref2`
`static final int`
`DW_FORM_ref4`
`static final int`
`DW_FORM_ref8`
`static final int`
`DW_FORM_sdata`
`static final int`
`DW_FORM_sec_offset`
`static final int`
`DW_FORM_string`
`static final int`
`DW_FORM_strp`
`static final int`
`DW_FORM_udata`
`static final int`
`DW_ID_case_insensitive`
`static final int`
`DW_ID_case_sensitive`
`static final int`
`DW_ID_down_case`
`static final int`
`DW_ID_up_case`
`static final int`
`DW_INL_declared_inlined`
`static final int`
`DW_INL_declared_not_inlined`
`static final int`
`DW_INL_inlined`
`static final int`
`DW_INL_not_inlined`
`static final int`
`DW_LANG_Ada83`
`static final int`
`DW_LANG_Ada95`
`static final int`
`DW_LANG_C`
`static final int`
`DW_LANG_C_plus_plus`
`static final int`
`DW_LANG_C89`
`static final int`
`DW_LANG_C99`
`static final int`
`DW_LANG_Cobol74`
`static final int`
`DW_LANG_Cobol85`
`static final int`
`DW_LANG_Fortran77`
`static final int`
`DW_LANG_Fortran90`
`static final int`
`DW_LANG_Fortran95`
`static final int`
`DW_LANG_hi_user`
`static final int`
`DW_LANG_Java`
`static final int`
`DW_LANG_lo_user`
`static final int`
`DW_LANG_Mips_Assembler`
`static final int`
`DW_LANG_Modula2`
`static final int`
`DW_LANG_Pascal83`
`static final int`
`DW_LANG_PL1`
`static final int`
`DW_LNE_define_file`
`static final int`
`DW_LNE_end_sequence`
`static final int`
`DW_LNE_set_address`
`static final int`
`DW_LNS_advance_line`
`static final int`
`DW_LNS_advance_pc`
`static final int`
`DW_LNS_const_add_pc`
`static final int`
`DW_LNS_copy`
`static final int`
`DW_LNS_fixed_advance_pc`
`static final int`
`DW_LNS_negate_stmt`
`static final int`
`DW_LNS_set_basic_block`
`static final int`
`DW_LNS_set_column`
`static final int`
`DW_LNS_set_epilog_begin`
`static final int`
`DW_LNS_set_file`
`static final int`
`DW_LNS_set_prologue_end`
`static final int`
`DW_MACINFO_define`
`static final int`
`DW_MACINFO_end_file`
`static final int`
`DW_MACINFO_start_file`
`static final int`
`DW_MACINFO_undef`
`static final int`
`DW_MACINFO_vendor_ext`
`static final int`
`DW_MACRO_define`
`static final int`
`DW_MACRO_define_indirect`
`static final int`
`DW_MACRO_define_indirect_alt`
`static final int`
`DW_MACRO_end`
`static final int`
`DW_MACRO_end_file`
`static final int`
`DW_MACRO_hi_user`
`static final int`
`DW_MACRO_lo_user`
`static final int`
`DW_MACRO_start_file`
`static final int`
`DW_MACRO_transparent_include`
`static final int`
`DW_MACRO_transparent_include_alt`
`static final int`
`DW_MACRO_undef`
`static final int`
`DW_MACRO_undef_indirect`
`static final int`
`DW_MACRO_undef_indirect_alt`
`static final int`
`DW_OP_abs`
`static final int`
`DW_OP_addr`
`static final int`
`DW_OP_and`
`static final int`
`DW_OP_bra`
`static final int`
`DW_OP_breg0`
`static final int`
`DW_OP_breg1`
`static final int`
`DW_OP_breg10`
`static final int`
`DW_OP_breg11`
`static final int`
`DW_OP_breg12`
`static final int`
`DW_OP_breg13`
`static final int`
`DW_OP_breg14`
`static final int`
`DW_OP_breg15`
`static final int`
`DW_OP_breg16`
`static final int`
`DW_OP_breg17`
`static final int`
`DW_OP_breg18`
`static final int`
`DW_OP_breg19`
`static final int`
`DW_OP_breg2`
`static final int`
`DW_OP_breg20`
`static final int`
`DW_OP_breg21`
`static final int`
`DW_OP_breg22`
`static final int`
`DW_OP_breg23`
`static final int`
`DW_OP_breg24`
`static final int`
`DW_OP_breg25`
`static final int`
`DW_OP_breg26`
`static final int`
`DW_OP_breg27`
`static final int`
`DW_OP_breg28`
`static final int`
`DW_OP_breg29`
`static final int`
`DW_OP_breg3`
`static final int`
`DW_OP_breg30`
`static final int`
`DW_OP_breg31`
`static final int`
`DW_OP_breg4`
`static final int`
`DW_OP_breg5`
`static final int`
`DW_OP_breg6`
`static final int`
`DW_OP_breg7`
`static final int`
`DW_OP_breg8`
`static final int`
`DW_OP_breg9`
`static final int`
`DW_OP_bregx`
`static final int`
`DW_OP_call_ref`
`static final int`
`DW_OP_call2`
`static final int`
`DW_OP_call4`
`static final int`
`DW_OP_const1s`
`static final int`
`DW_OP_const1u`
`static final int`
`DW_OP_const2s`
`static final int`
`DW_OP_const2u`
`static final int`
`DW_OP_const4s`
`static final int`
`DW_OP_const4u`
`static final int`
`DW_OP_const8s`
`static final int`
`DW_OP_const8u`
`static final int`
`DW_OP_consts`
`static final int`
`DW_OP_constu`
`static final int`
`DW_OP_deref`
`static final int`
`DW_OP_deref_size`
`static final int`
`DW_OP_div`
`static final int`
`DW_OP_drop`
`static final int`
`DW_OP_dup`
`static final int`
`DW_OP_eq`
`static final int`
`DW_OP_fbreg`
`static final int`
`DW_OP_ge`
`static final int`
`DW_OP_gt`
`static final int`
`DW_OP_hi_user`
`static final int`
`DW_OP_le`
`static final int`
`DW_OP_lit0`
`static final int`
`DW_OP_lit1`
`static final int`
`DW_OP_lit10`
`static final int`
`DW_OP_lit11`
`static final int`
`DW_OP_lit12`
`static final int`
`DW_OP_lit13`
`static final int`
`DW_OP_lit14`
`static final int`
`DW_OP_lit15`
`static final int`
`DW_OP_lit16`
`static final int`
`DW_OP_lit17`
`static final int`
`DW_OP_lit18`
`static final int`
`DW_OP_lit19`
`static final int`
`DW_OP_lit2`
`static final int`
`DW_OP_lit20`
`static final int`
`DW_OP_lit21`
`static final int`
`DW_OP_lit22`
`static final int`
`DW_OP_lit23`
`static final int`
`DW_OP_lit24`
`static final int`
`DW_OP_lit25`
`static final int`
`DW_OP_lit26`
`static final int`
`DW_OP_lit27`
`static final int`
`DW_OP_lit28`
`static final int`
`DW_OP_lit29`
`static final int`
`DW_OP_lit3`
`static final int`
`DW_OP_lit30`
`static final int`
`DW_OP_lit31`
`static final int`
`DW_OP_lit4`
`static final int`
`DW_OP_lit5`
`static final int`
`DW_OP_lit6`
`static final int`
`DW_OP_lit7`
`static final int`
`DW_OP_lit8`
`static final int`
`DW_OP_lit9`
`static final int`
`DW_OP_lo_user`
`static final int`
`DW_OP_lt`
`static final int`
`DW_OP_minus`
`static final int`
`DW_OP_mod`
`static final int`
`DW_OP_mul`
`static final int`
`DW_OP_ne`
`static final int`
`DW_OP_neg`
`static final int`
`DW_OP_nop`
`static final int`
`DW_OP_not`
`static final int`
`DW_OP_or`
`static final int`
`DW_OP_over`
`static final int`
`DW_OP_pick`
`static final int`
`DW_OP_piece`
`static final int`
`DW_OP_plus`
`static final int`
`DW_OP_plus_uconst`
`static final int`
`DW_OP_push_object_address`
`static final int`
`DW_OP_reg0`
`static final int`
`DW_OP_reg1`
`static final int`
`DW_OP_reg10`
`static final int`
`DW_OP_reg11`
`static final int`
`DW_OP_reg12`
`static final int`
`DW_OP_reg13`
`static final int`
`DW_OP_reg14`
`static final int`
`DW_OP_reg15`
`static final int`
`DW_OP_reg16`
`static final int`
`DW_OP_reg17`
`static final int`
`DW_OP_reg18`
`static final int`
`DW_OP_reg19`
`static final int`
`DW_OP_reg2`
`static final int`
`DW_OP_reg20`
`static final int`
`DW_OP_reg21`
`static final int`
`DW_OP_reg22`
`static final int`
`DW_OP_reg23`
`static final int`
`DW_OP_reg24`
`static final int`
`DW_OP_reg25`
`static final int`
`DW_OP_reg26`
`static final int`
`DW_OP_reg27`
`static final int`
`DW_OP_reg28`
`static final int`
`DW_OP_reg29`
`static final int`
`DW_OP_reg3`
`static final int`
`DW_OP_reg30`
`static final int`
`DW_OP_reg31`
`static final int`
`DW_OP_reg4`
`static final int`
`DW_OP_reg5`
`static final int`
`DW_OP_reg6`
`static final int`
`DW_OP_reg7`
`static final int`
`DW_OP_reg8`
`static final int`
`DW_OP_reg9`
`static final int`
`DW_OP_regx`
`static final int`
`DW_OP_rot`
`static final int`
`DW_OP_shl`
`static final int`
`DW_OP_shr`
`static final int`
`DW_OP_shra`
`static final int`
`DW_OP_skip`
`static final int`
`DW_OP_swap`
`static final int`
`DW_OP_xderef`
`static final int`
`DW_OP_xderef_size`
`static final int`
`DW_OP_xor`
`static final int`
`DW_ORD_col_major`
`static final int`
`DW_ORD_row_major`
`static final int`
`DW_TAG_access_declaration`
`static final int`
`DW_TAG_array_type`
`static final int`
`DW_TAG_base_type`
`static final int`
`DW_TAG_catch_block`
`static final int`
`DW_TAG_class_template`
`static final int`
`DW_TAG_class_type`
`static final int`
`DW_TAG_common_block`
`static final int`
`DW_TAG_common_inclusion`
`static final int`
`DW_TAG_compile_unit`
`static final int`
`DW_TAG_const_type`
`static final int`
`DW_TAG_constant`
`static final int`
`DW_TAG_entry_point`
`static final int`
`DW_TAG_enumeration_type`
`static final int`
`DW_TAG_enumerator`
`static final int`
`DW_TAG_file_type`
`static final int`
`DW_TAG_formal_parameter`
`static final int`
`DW_TAG_format_label`
`static final int`
`DW_TAG_friend`
`static final int`
`DW_TAG_function_template`
`static final int`
`DW_TAG_hi_user`
`static final int`
`DW_TAG_imported_declaration`
`static final int`
`DW_TAG_inheritance`
`static final int`
`DW_TAG_inlined_subroutine`
`static final int`
`DW_TAG_label`
`static final int`
`DW_TAG_lexical_block`
`static final int`
`DW_TAG_lo_user`
`static final int`
`DW_TAG_member`
`static final int`
`DW_TAG_MIPS_loop`
`static final int`
`DW_TAG_module`
`static final int`
`DW_TAG_namelist`
`static final int`
`DW_TAG_namelist_item`
`static final int`
`DW_TAG_packed_type`
`static final int`
`DW_TAG_partial_unit`
`static final int`
`DW_TAG_pointer_type`
`static final int`
`DW_TAG_ptr_to_member_type`
`static final int`
`DW_TAG_reference_type`
`static final int`
`DW_TAG_set_type`
`static final int`
`DW_TAG_string_type`
`static final int`
`DW_TAG_structure_type`
`static final int`
`DW_TAG_subprogram`
`static final int`
`DW_TAG_subrange_type`
`static final int`
`DW_TAG_subroutine_type`
`static final int`
`DW_TAG_template_type_param`
`static final int`
`DW_TAG_template_value_param`
`static final int`
`DW_TAG_thrown_type`
`static final int`
`DW_TAG_try_block`
`static final int`
`DW_TAG_typedef`
`static final int`
`DW_TAG_union_type`
`static final int`
`DW_TAG_unspecified_parameters`
`static final int`
`DW_TAG_variable`
`static final int`
`DW_TAG_variant`
`static final int`
`DW_TAG_variant_part`
`static final int`
`DW_TAG_volatile_type`
`static final int`
`DW_TAG_with_stmt`
`static final int`
`DW_VIRTUALITY_none`
`static final int`
`DW_VIRTUALITY_pure_virtual`
`static final int`
`DW_VIRTUALITY_virtual`
`static final int`
`DW_VIS_exported`
`static final int`
`DW_VIS_local`
`static final int`
`DW_VIS_qualified`

## Constructor Summary

Constructors
Constructor
Description
`DwarfConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DW_TAG_array_type

public static final int DW_TAG_array_type

See Also:
  - Constant Field Values

### DW_TAG_class_type

public static final int DW_TAG_class_type

See Also:
  - Constant Field Values

### DW_TAG_entry_point

public static final int DW_TAG_entry_point

See Also:
  - Constant Field Values

### DW_TAG_enumeration_type

public static final int DW_TAG_enumeration_type

See Also:
  - Constant Field Values

### DW_TAG_formal_parameter

public static final int DW_TAG_formal_parameter

See Also:
  - Constant Field Values

### DW_TAG_imported_declaration

public static final int DW_TAG_imported_declaration

See Also:
  - Constant Field Values

### DW_TAG_label

public static final int DW_TAG_label

See Also:
  - Constant Field Values

### DW_TAG_lexical_block

public static final int DW_TAG_lexical_block

See Also:
  - Constant Field Values

### DW_TAG_member

public static final int DW_TAG_member

See Also:
  - Constant Field Values

### DW_TAG_pointer_type

public static final int DW_TAG_pointer_type

See Also:
  - Constant Field Values

### DW_TAG_reference_type

public static final int DW_TAG_reference_type

See Also:
  - Constant Field Values

### DW_TAG_compile_unit

public static final int DW_TAG_compile_unit

See Also:
  - Constant Field Values

### DW_TAG_string_type

public static final int DW_TAG_string_type

See Also:
  - Constant Field Values

### DW_TAG_structure_type

public static final int DW_TAG_structure_type

See Also:
  - Constant Field Values

### DW_TAG_subroutine_type

public static final int DW_TAG_subroutine_type

See Also:
  - Constant Field Values

### DW_TAG_typedef

public static final int DW_TAG_typedef

See Also:
  - Constant Field Values

### DW_TAG_union_type

public static final int DW_TAG_union_type

See Also:
  - Constant Field Values

### DW_TAG_unspecified_parameters

public static final int DW_TAG_unspecified_parameters

See Also:
  - Constant Field Values

### DW_TAG_variant

public static final int DW_TAG_variant

See Also:
  - Constant Field Values

### DW_TAG_common_block

public static final int DW_TAG_common_block

See Also:
  - Constant Field Values

### DW_TAG_common_inclusion

public static final int DW_TAG_common_inclusion

See Also:
  - Constant Field Values

### DW_TAG_inheritance

public static final int DW_TAG_inheritance

See Also:
  - Constant Field Values

### DW_TAG_inlined_subroutine

public static final int DW_TAG_inlined_subroutine

See Also:
  - Constant Field Values

### DW_TAG_module

public static final int DW_TAG_module

See Also:
  - Constant Field Values

### DW_TAG_ptr_to_member_type

public static final int DW_TAG_ptr_to_member_type

See Also:
  - Constant Field Values

### DW_TAG_set_type

public static final int DW_TAG_set_type

See Also:
  - Constant Field Values

### DW_TAG_subrange_type

public static final int DW_TAG_subrange_type

See Also:
  - Constant Field Values

### DW_TAG_with_stmt

public static final int DW_TAG_with_stmt

See Also:
  - Constant Field Values

### DW_TAG_access_declaration

public static final int DW_TAG_access_declaration

See Also:
  - Constant Field Values

### DW_TAG_base_type

public static final int DW_TAG_base_type

See Also:
  - Constant Field Values

### DW_TAG_catch_block

public static final int DW_TAG_catch_block

See Also:
  - Constant Field Values

### DW_TAG_const_type

public static final int DW_TAG_const_type

See Also:
  - Constant Field Values

### DW_TAG_constant

public static final int DW_TAG_constant

See Also:
  - Constant Field Values

### DW_TAG_enumerator

public static final int DW_TAG_enumerator

See Also:
  - Constant Field Values

### DW_TAG_file_type

public static final int DW_TAG_file_type

See Also:
  - Constant Field Values

### DW_TAG_friend

public static final int DW_TAG_friend

See Also:
  - Constant Field Values

### DW_TAG_namelist

public static final int DW_TAG_namelist

See Also:
  - Constant Field Values

### DW_TAG_namelist_item

public static final int DW_TAG_namelist_item

See Also:
  - Constant Field Values

### DW_TAG_packed_type

public static final int DW_TAG_packed_type

See Also:
  - Constant Field Values

### DW_TAG_subprogram

public static final int DW_TAG_subprogram

See Also:
  - Constant Field Values

### DW_TAG_template_type_param

public static final int DW_TAG_template_type_param

See Also:
  - Constant Field Values

### DW_TAG_template_value_param

public static final int DW_TAG_template_value_param

See Also:
  - Constant Field Values

### DW_TAG_thrown_type

public static final int DW_TAG_thrown_type

See Also:
  - Constant Field Values

### DW_TAG_try_block

public static final int DW_TAG_try_block

See Also:
  - Constant Field Values

### DW_TAG_variant_part

public static final int DW_TAG_variant_part

See Also:
  - Constant Field Values

### DW_TAG_variable

public static final int DW_TAG_variable

See Also:
  - Constant Field Values

### DW_TAG_volatile_type

public static final int DW_TAG_volatile_type

See Also:
  - Constant Field Values

### DW_TAG_partial_unit

public static final int DW_TAG_partial_unit

Since:
  5.7
See Also:
  - Constant Field Values

### DW_TAG_lo_user

public static final int DW_TAG_lo_user

See Also:
  - Constant Field Values

### DW_TAG_MIPS_loop

public static final int DW_TAG_MIPS_loop

See Also:
  - Constant Field Values

### DW_TAG_format_label

public static final int DW_TAG_format_label

See Also:
  - Constant Field Values

### DW_TAG_function_template

public static final int DW_TAG_function_template

See Also:
  - Constant Field Values

### DW_TAG_class_template

public static final int DW_TAG_class_template

See Also:
  - Constant Field Values

### DW_TAG_hi_user

public static final int DW_TAG_hi_user

See Also:
  - Constant Field Values

### DW_CHILDREN_no

public static final int DW_CHILDREN_no

See Also:
  - Constant Field Values

### DW_CHILDREN_yes

public static final int DW_CHILDREN_yes

See Also:
  - Constant Field Values

### DW_AT_sibling

public static final int DW_AT_sibling

See Also:
  - Constant Field Values

### DW_AT_location

public static final int DW_AT_location

See Also:
  - Constant Field Values

### DW_AT_name

public static final int DW_AT_name

See Also:
  - Constant Field Values

### DW_AT_ordering

public static final int DW_AT_ordering

See Also:
  - Constant Field Values

### DW_AT_subscr_data

public static final int DW_AT_subscr_data

See Also:
  - Constant Field Values

### DW_AT_byte_size

public static final int DW_AT_byte_size

See Also:
  - Constant Field Values

### DW_AT_bit_offset

public static final int DW_AT_bit_offset

See Also:
  - Constant Field Values

### DW_AT_bit_size

public static final int DW_AT_bit_size

See Also:
  - Constant Field Values

### DW_AT_element_list

public static final int DW_AT_element_list

See Also:
  - Constant Field Values

### DW_AT_stmt_list

public static final int DW_AT_stmt_list

See Also:
  - Constant Field Values

### DW_AT_low_pc

public static final int DW_AT_low_pc

See Also:
  - Constant Field Values

### DW_AT_high_pc

public static final int DW_AT_high_pc

See Also:
  - Constant Field Values

### DW_AT_language

public static final int DW_AT_language

See Also:
  - Constant Field Values

### DW_AT_member

public static final int DW_AT_member

See Also:
  - Constant Field Values

### DW_AT_discr

public static final int DW_AT_discr

See Also:
  - Constant Field Values

### DW_AT_discr_value

public static final int DW_AT_discr_value

See Also:
  - Constant Field Values

### DW_AT_visibility

public static final int DW_AT_visibility

See Also:
  - Constant Field Values

### DW_AT_import

public static final int DW_AT_import

See Also:
  - Constant Field Values

### DW_AT_string_length

public static final int DW_AT_string_length

See Also:
  - Constant Field Values

### DW_AT_common_reference

public static final int DW_AT_common_reference

See Also:
  - Constant Field Values

### DW_AT_comp_dir

public static final int DW_AT_comp_dir

See Also:
  - Constant Field Values

### DW_AT_const_value

public static final int DW_AT_const_value

See Also:
  - Constant Field Values

### DW_AT_containing_type

public static final int DW_AT_containing_type

See Also:
  - Constant Field Values

### DW_AT_default_value

public static final int DW_AT_default_value

See Also:
  - Constant Field Values

### DW_AT_inline

public static final int DW_AT_inline

See Also:
  - Constant Field Values

### DW_AT_is_optional

public static final int DW_AT_is_optional

See Also:
  - Constant Field Values

### DW_AT_lower_bound

public static final int DW_AT_lower_bound

See Also:
  - Constant Field Values

### DW_AT_producer

public static final int DW_AT_producer

See Also:
  - Constant Field Values

### DW_AT_prototyped

public static final int DW_AT_prototyped

See Also:
  - Constant Field Values

### DW_AT_return_addr

public static final int DW_AT_return_addr

See Also:
  - Constant Field Values

### DW_AT_start_scope

public static final int DW_AT_start_scope

See Also:
  - Constant Field Values

### DW_AT_stride_size

public static final int DW_AT_stride_size

See Also:
  - Constant Field Values

### DW_AT_upper_bound

public static final int DW_AT_upper_bound

See Also:
  - Constant Field Values

### DW_AT_abstract_origin

public static final int DW_AT_abstract_origin

See Also:
  - Constant Field Values

### DW_AT_accessibility

public static final int DW_AT_accessibility

See Also:
  - Constant Field Values

### DW_AT_address_class

public static final int DW_AT_address_class

See Also:
  - Constant Field Values

### DW_AT_artificial

public static final int DW_AT_artificial

See Also:
  - Constant Field Values

### DW_AT_base_types

public static final int DW_AT_base_types

See Also:
  - Constant Field Values

### DW_AT_calling_convention

public static final int DW_AT_calling_convention

See Also:
  - Constant Field Values

### DW_AT_count

public static final int DW_AT_count

See Also:
  - Constant Field Values

### DW_AT_data_member_location

public static final int DW_AT_data_member_location

See Also:
  - Constant Field Values

### DW_AT_decl_column

public static final int DW_AT_decl_column

See Also:
  - Constant Field Values

### DW_AT_decl_file

public static final int DW_AT_decl_file

See Also:
  - Constant Field Values

### DW_AT_decl_line

public static final int DW_AT_decl_line

See Also:
  - Constant Field Values

### DW_AT_declaration

public static final int DW_AT_declaration

See Also:
  - Constant Field Values

### DW_AT_discr_list

public static final int DW_AT_discr_list

See Also:
  - Constant Field Values

### DW_AT_encoding

public static final int DW_AT_encoding

See Also:
  - Constant Field Values

### DW_AT_external

public static final int DW_AT_external

See Also:
  - Constant Field Values

### DW_AT_frame_base

public static final int DW_AT_frame_base

See Also:
  - Constant Field Values

### DW_AT_friend

public static final int DW_AT_friend

See Also:
  - Constant Field Values

### DW_AT_identifier_case

public static final int DW_AT_identifier_case

See Also:
  - Constant Field Values

### DW_AT_macro_info

public static final int DW_AT_macro_info

See Also:
  - Constant Field Values

### DW_AT_namelist_items

public static final int DW_AT_namelist_items

See Also:
  - Constant Field Values

### DW_AT_priority

public static final int DW_AT_priority

See Also:
  - Constant Field Values

### DW_AT_segment

public static final int DW_AT_segment

See Also:
  - Constant Field Values

### DW_AT_specification

public static final int DW_AT_specification

See Also:
  - Constant Field Values

### DW_AT_static_link

public static final int DW_AT_static_link

See Also:
  - Constant Field Values

### DW_AT_type

public static final int DW_AT_type

See Also:
  - Constant Field Values

### DW_AT_use_location

public static final int DW_AT_use_location

See Also:
  - Constant Field Values

### DW_AT_variable_parameter

public static final int DW_AT_variable_parameter

See Also:
  - Constant Field Values

### DW_AT_virtuality

public static final int DW_AT_virtuality

See Also:
  - Constant Field Values

### DW_AT_vtable_elem_location

public static final int DW_AT_vtable_elem_location

See Also:
  - Constant Field Values

### DW_AT_lo_user

public static final int DW_AT_lo_user

See Also:
  - Constant Field Values

### DW_AT_MIPS_fde

public static final int DW_AT_MIPS_fde

See Also:
  - Constant Field Values

### DW_AT_MIPS_loop_begin

public static final int DW_AT_MIPS_loop_begin

See Also:
  - Constant Field Values

### DW_AT_MIPS_tail_loop_begin

public static final int DW_AT_MIPS_tail_loop_begin

See Also:
  - Constant Field Values

### DW_AT_MIPS_epilog_begin

public static final int DW_AT_MIPS_epilog_begin

See Also:
  - Constant Field Values

### DW_AT_MIPS_loop_unroll_factor

public static final int DW_AT_MIPS_loop_unroll_factor

See Also:
  - Constant Field Values

### DW_AT_MIPS_software_pipeline_depth

public static final int DW_AT_MIPS_software_pipeline_depth

See Also:
  - Constant Field Values

### DW_AT_MIPS_linkage_name

public static final int DW_AT_MIPS_linkage_name

See Also:
  - Constant Field Values

### DW_AT_MIPS_stride

public static final int DW_AT_MIPS_stride

See Also:
  - Constant Field Values

### DW_AT_MIPS_abstract_name

public static final int DW_AT_MIPS_abstract_name

See Also:
  - Constant Field Values

### DW_AT_MIPS_clone_origin

public static final int DW_AT_MIPS_clone_origin

See Also:
  - Constant Field Values

### DW_AT_MIPS_has_inlines

public static final int DW_AT_MIPS_has_inlines

See Also:
  - Constant Field Values

### DW_AT_MIPS_stride_byte

public static final int DW_AT_MIPS_stride_byte

See Also:
  - Constant Field Values

### DW_AT_MIPS_stride_elem

public static final int DW_AT_MIPS_stride_elem

See Also:
  - Constant Field Values

### DW_AT_MIPS_ptr_dopetype

public static final int DW_AT_MIPS_ptr_dopetype

See Also:
  - Constant Field Values

### DW_AT_MIPS_allocatable_dopetype

public static final int DW_AT_MIPS_allocatable_dopetype

See Also:
  - Constant Field Values

### DW_AT_MIPS_assumed_shape_dopetype

public static final int DW_AT_MIPS_assumed_shape_dopetype

See Also:
  - Constant Field Values

### DW_AT_MIPS_assumed_size

public static final int DW_AT_MIPS_assumed_size

See Also:
  - Constant Field Values

### DW_AT_sf_names

public static final int DW_AT_sf_names

See Also:
  - Constant Field Values

### DW_AT_src_info

public static final int DW_AT_src_info

See Also:
  - Constant Field Values

### DW_AT_mac_info

public static final int DW_AT_mac_info

See Also:
  - Constant Field Values

### DW_AT_src_coords

public static final int DW_AT_src_coords

See Also:
  - Constant Field Values

### DW_AT_body_begin

public static final int DW_AT_body_begin

See Also:
  - Constant Field Values

### DW_AT_body_end

public static final int DW_AT_body_end

See Also:
  - Constant Field Values

### DW_AT_hi_user

public static final int DW_AT_hi_user

See Also:
  - Constant Field Values

### DW_FORM_addr

public static final int DW_FORM_addr

See Also:
  - Constant Field Values

### DW_FORM_block2

public static final int DW_FORM_block2

See Also:
  - Constant Field Values

### DW_FORM_block4

public static final int DW_FORM_block4

See Also:
  - Constant Field Values

### DW_FORM_data2

public static final int DW_FORM_data2

See Also:
  - Constant Field Values

### DW_FORM_data4

public static final int DW_FORM_data4

See Also:
  - Constant Field Values

### DW_FORM_data8

public static final int DW_FORM_data8

See Also:
  - Constant Field Values

### DW_FORM_string

public static final int DW_FORM_string

See Also:
  - Constant Field Values

### DW_FORM_block

public static final int DW_FORM_block

See Also:
  - Constant Field Values

### DW_FORM_block1

public static final int DW_FORM_block1

See Also:
  - Constant Field Values

### DW_FORM_data1

public static final int DW_FORM_data1

See Also:
  - Constant Field Values

### DW_FORM_flag

public static final int DW_FORM_flag

See Also:
  - Constant Field Values

### DW_FORM_sdata

public static final int DW_FORM_sdata

See Also:
  - Constant Field Values

### DW_FORM_strp

public static final int DW_FORM_strp

See Also:
  - Constant Field Values

### DW_FORM_udata

public static final int DW_FORM_udata

See Also:
  - Constant Field Values

### DW_FORM_ref_addr

public static final int DW_FORM_ref_addr

See Also:
  - Constant Field Values

### DW_FORM_ref1

public static final int DW_FORM_ref1

See Also:
  - Constant Field Values

### DW_FORM_ref2

public static final int DW_FORM_ref2

See Also:
  - Constant Field Values

### DW_FORM_ref4

public static final int DW_FORM_ref4

See Also:
  - Constant Field Values

### DW_FORM_ref8

public static final int DW_FORM_ref8

See Also:
  - Constant Field Values

### DW_FORM_ref_udata

public static final int DW_FORM_ref_udata

See Also:
  - Constant Field Values

### DW_FORM_indirect

public static final int DW_FORM_indirect

See Also:
  - Constant Field Values

### DW_FORM_sec_offset

public static final int DW_FORM_sec_offset

Since:
  5.7
See Also:
  - Constant Field Values

### DW_FORM_exprloc

public static final int DW_FORM_exprloc

Since:
  5.7
See Also:
  - Constant Field Values

### DW_FORM_flag_present

public static final int DW_FORM_flag_present

Since:
  5.7
See Also:
  - Constant Field Values

### DW_FORM_ref_sig8

public static final int DW_FORM_ref_sig8

Since:
  5.7
See Also:
  - Constant Field Values

### DW_FORM_GNU_addr_index

public static final int DW_FORM_GNU_addr_index

Since:
  5.7
See Also:
  - Constant Field Values

### DW_FORM_GNU_str_index

public static final int DW_FORM_GNU_str_index

Since:
  5.7
See Also:
  - Constant Field Values

### DW_FORM_GNU_ref_alt

public static final int DW_FORM_GNU_ref_alt

Since:
  5.7
See Also:
  - Constant Field Values

### DW_FORM_GNU_strp_alt

public static final int DW_FORM_GNU_strp_alt

Since:
  5.7
See Also:
  - Constant Field Values

### DW_OP_addr

public static final int DW_OP_addr

See Also:
  - Constant Field Values

### DW_OP_deref

public static final int DW_OP_deref

See Also:
  - Constant Field Values

### DW_OP_const1u

public static final int DW_OP_const1u

See Also:
  - Constant Field Values

### DW_OP_const1s

public static final int DW_OP_const1s

See Also:
  - Constant Field Values

### DW_OP_const2u

public static final int DW_OP_const2u

See Also:
  - Constant Field Values

### DW_OP_const2s

public static final int DW_OP_const2s

See Also:
  - Constant Field Values

### DW_OP_const4u

public static final int DW_OP_const4u

See Also:
  - Constant Field Values

### DW_OP_const4s

public static final int DW_OP_const4s

See Also:
  - Constant Field Values

### DW_OP_const8u

public static final int DW_OP_const8u

See Also:
  - Constant Field Values

### DW_OP_const8s

public static final int DW_OP_const8s

See Also:
  - Constant Field Values

### DW_OP_constu

public static final int DW_OP_constu

See Also:
  - Constant Field Values

### DW_OP_consts

public static final int DW_OP_consts

See Also:
  - Constant Field Values

### DW_OP_dup

public static final int DW_OP_dup

See Also:
  - Constant Field Values

### DW_OP_drop

public static final int DW_OP_drop

See Also:
  - Constant Field Values

### DW_OP_over

public static final int DW_OP_over

See Also:
  - Constant Field Values

### DW_OP_pick

public static final int DW_OP_pick

See Also:
  - Constant Field Values

### DW_OP_swap

public static final int DW_OP_swap

See Also:
  - Constant Field Values

### DW_OP_rot

public static final int DW_OP_rot

See Also:
  - Constant Field Values

### DW_OP_xderef

public static final int DW_OP_xderef

See Also:
  - Constant Field Values

### DW_OP_abs

public static final int DW_OP_abs

See Also:
  - Constant Field Values

### DW_OP_and

public static final int DW_OP_and

See Also:
  - Constant Field Values

### DW_OP_div

public static final int DW_OP_div

See Also:
  - Constant Field Values

### DW_OP_minus

public static final int DW_OP_minus

See Also:
  - Constant Field Values

### DW_OP_mod

public static final int DW_OP_mod

See Also:
  - Constant Field Values

### DW_OP_mul

public static final int DW_OP_mul

See Also:
  - Constant Field Values

### DW_OP_neg

public static final int DW_OP_neg

See Also:
  - Constant Field Values

### DW_OP_not

public static final int DW_OP_not

See Also:
  - Constant Field Values

### DW_OP_or

public static final int DW_OP_or

See Also:
  - Constant Field Values

### DW_OP_plus

public static final int DW_OP_plus

See Also:
  - Constant Field Values

### DW_OP_plus_uconst

public static final int DW_OP_plus_uconst

See Also:
  - Constant Field Values

### DW_OP_shl

public static final int DW_OP_shl

See Also:
  - Constant Field Values

### DW_OP_shr

public static final int DW_OP_shr

See Also:
  - Constant Field Values

### DW_OP_shra

public static final int DW_OP_shra

See Also:
  - Constant Field Values

### DW_OP_xor

public static final int DW_OP_xor

See Also:
  - Constant Field Values

### DW_OP_bra

public static final int DW_OP_bra

See Also:
  - Constant Field Values

### DW_OP_eq

public static final int DW_OP_eq

See Also:
  - Constant Field Values

### DW_OP_ge

public static final int DW_OP_ge

See Also:
  - Constant Field Values

### DW_OP_gt

public static final int DW_OP_gt

See Also:
  - Constant Field Values

### DW_OP_le

public static final int DW_OP_le

See Also:
  - Constant Field Values

### DW_OP_lt

public static final int DW_OP_lt

See Also:
  - Constant Field Values

### DW_OP_ne

public static final int DW_OP_ne

See Also:
  - Constant Field Values

### DW_OP_skip

public static final int DW_OP_skip

See Also:
  - Constant Field Values

### DW_OP_lit0

public static final int DW_OP_lit0

See Also:
  - Constant Field Values

### DW_OP_lit1

public static final int DW_OP_lit1

See Also:
  - Constant Field Values

### DW_OP_lit2

public static final int DW_OP_lit2

See Also:
  - Constant Field Values

### DW_OP_lit3

public static final int DW_OP_lit3

See Also:
  - Constant Field Values

### DW_OP_lit4

public static final int DW_OP_lit4

See Also:
  - Constant Field Values

### DW_OP_lit5

public static final int DW_OP_lit5

See Also:
  - Constant Field Values

### DW_OP_lit6

public static final int DW_OP_lit6

See Also:
  - Constant Field Values

### DW_OP_lit7

public static final int DW_OP_lit7

See Also:
  - Constant Field Values

### DW_OP_lit8

public static final int DW_OP_lit8

See Also:
  - Constant Field Values

### DW_OP_lit9

public static final int DW_OP_lit9

See Also:
  - Constant Field Values

### DW_OP_lit10

public static final int DW_OP_lit10

See Also:
  - Constant Field Values

### DW_OP_lit11

public static final int DW_OP_lit11

See Also:
  - Constant Field Values

### DW_OP_lit12

public static final int DW_OP_lit12

See Also:
  - Constant Field Values

### DW_OP_lit13

public static final int DW_OP_lit13

See Also:
  - Constant Field Values

### DW_OP_lit14

public static final int DW_OP_lit14

See Also:
  - Constant Field Values

### DW_OP_lit15

public static final int DW_OP_lit15

See Also:
  - Constant Field Values

### DW_OP_lit16

public static final int DW_OP_lit16

See Also:
  - Constant Field Values

### DW_OP_lit17

public static final int DW_OP_lit17

See Also:
  - Constant Field Values

### DW_OP_lit18

public static final int DW_OP_lit18

See Also:
  - Constant Field Values

### DW_OP_lit19

public static final int DW_OP_lit19

See Also:
  - Constant Field Values

### DW_OP_lit20

public static final int DW_OP_lit20

See Also:
  - Constant Field Values

### DW_OP_lit21

public static final int DW_OP_lit21

See Also:
  - Constant Field Values

### DW_OP_lit22

public static final int DW_OP_lit22

See Also:
  - Constant Field Values

### DW_OP_lit23

public static final int DW_OP_lit23

See Also:
  - Constant Field Values

### DW_OP_lit24

public static final int DW_OP_lit24

See Also:
  - Constant Field Values

### DW_OP_lit25

public static final int DW_OP_lit25

See Also:
  - Constant Field Values

### DW_OP_lit26

public static final int DW_OP_lit26

See Also:
  - Constant Field Values

### DW_OP_lit27

public static final int DW_OP_lit27

See Also:
  - Constant Field Values

### DW_OP_lit28

public static final int DW_OP_lit28

See Also:
  - Constant Field Values

### DW_OP_lit29

public static final int DW_OP_lit29

See Also:
  - Constant Field Values

### DW_OP_lit30

public static final int DW_OP_lit30

See Also:
  - Constant Field Values

### DW_OP_lit31

public static final int DW_OP_lit31

See Also:
  - Constant Field Values

### DW_OP_reg0

public static final int DW_OP_reg0

See Also:
  - Constant Field Values

### DW_OP_reg1

public static final int DW_OP_reg1

See Also:
  - Constant Field Values

### DW_OP_reg2

public static final int DW_OP_reg2

See Also:
  - Constant Field Values

### DW_OP_reg3

public static final int DW_OP_reg3

See Also:
  - Constant Field Values

### DW_OP_reg4

public static final int DW_OP_reg4

See Also:
  - Constant Field Values

### DW_OP_reg5

public static final int DW_OP_reg5

See Also:
  - Constant Field Values

### DW_OP_reg6

public static final int DW_OP_reg6

See Also:
  - Constant Field Values

### DW_OP_reg7

public static final int DW_OP_reg7

See Also:
  - Constant Field Values

### DW_OP_reg8

public static final int DW_OP_reg8

See Also:
  - Constant Field Values

### DW_OP_reg9

public static final int DW_OP_reg9

See Also:
  - Constant Field Values

### DW_OP_reg10

public static final int DW_OP_reg10

See Also:
  - Constant Field Values

### DW_OP_reg11

public static final int DW_OP_reg11

See Also:
  - Constant Field Values

### DW_OP_reg12

public static final int DW_OP_reg12

See Also:
  - Constant Field Values

### DW_OP_reg13

public static final int DW_OP_reg13

See Also:
  - Constant Field Values

### DW_OP_reg14

public static final int DW_OP_reg14

See Also:
  - Constant Field Values

### DW_OP_reg15

public static final int DW_OP_reg15

See Also:
  - Constant Field Values

### DW_OP_reg16

public static final int DW_OP_reg16

See Also:
  - Constant Field Values

### DW_OP_reg17

public static final int DW_OP_reg17

See Also:
  - Constant Field Values

### DW_OP_reg18

public static final int DW_OP_reg18

See Also:
  - Constant Field Values

### DW_OP_reg19

public static final int DW_OP_reg19

See Also:
  - Constant Field Values

### DW_OP_reg20

public static final int DW_OP_reg20

See Also:
  - Constant Field Values

### DW_OP_reg21

public static final int DW_OP_reg21

See Also:
  - Constant Field Values

### DW_OP_reg22

public static final int DW_OP_reg22

See Also:
  - Constant Field Values

### DW_OP_reg23

public static final int DW_OP_reg23

See Also:
  - Constant Field Values

### DW_OP_reg24

public static final int DW_OP_reg24

See Also:
  - Constant Field Values

### DW_OP_reg25

public static final int DW_OP_reg25

See Also:
  - Constant Field Values

### DW_OP_reg26

public static final int DW_OP_reg26

See Also:
  - Constant Field Values

### DW_OP_reg27

public static final int DW_OP_reg27

See Also:
  - Constant Field Values

### DW_OP_reg28

public static final int DW_OP_reg28

See Also:
  - Constant Field Values

### DW_OP_reg29

public static final int DW_OP_reg29

See Also:
  - Constant Field Values

### DW_OP_reg30

public static final int DW_OP_reg30

See Also:
  - Constant Field Values

### DW_OP_reg31

public static final int DW_OP_reg31

See Also:
  - Constant Field Values

### DW_OP_breg0

public static final int DW_OP_breg0

See Also:
  - Constant Field Values

### DW_OP_breg1

public static final int DW_OP_breg1

See Also:
  - Constant Field Values

### DW_OP_breg2

public static final int DW_OP_breg2

See Also:
  - Constant Field Values

### DW_OP_breg3

public static final int DW_OP_breg3

See Also:
  - Constant Field Values

### DW_OP_breg4

public static final int DW_OP_breg4

See Also:
  - Constant Field Values

### DW_OP_breg5

public static final int DW_OP_breg5

See Also:
  - Constant Field Values

### DW_OP_breg6

public static final int DW_OP_breg6

See Also:
  - Constant Field Values

### DW_OP_breg7

public static final int DW_OP_breg7

See Also:
  - Constant Field Values

### DW_OP_breg8

public static final int DW_OP_breg8

See Also:
  - Constant Field Values

### DW_OP_breg9

public static final int DW_OP_breg9

See Also:
  - Constant Field Values

### DW_OP_breg10

public static final int DW_OP_breg10

See Also:
  - Constant Field Values

### DW_OP_breg11

public static final int DW_OP_breg11

See Also:
  - Constant Field Values

### DW_OP_breg12

public static final int DW_OP_breg12

See Also:
  - Constant Field Values

### DW_OP_breg13

public static final int DW_OP_breg13

See Also:
  - Constant Field Values

### DW_OP_breg14

public static final int DW_OP_breg14

See Also:
  - Constant Field Values

### DW_OP_breg15

public static final int DW_OP_breg15

See Also:
  - Constant Field Values

### DW_OP_breg16

public static final int DW_OP_breg16

See Also:
  - Constant Field Values

### DW_OP_breg17

public static final int DW_OP_breg17

See Also:
  - Constant Field Values

### DW_OP_breg18

public static final int DW_OP_breg18

See Also:
  - Constant Field Values

### DW_OP_breg19

public static final int DW_OP_breg19

See Also:
  - Constant Field Values

### DW_OP_breg20

public static final int DW_OP_breg20

See Also:
  - Constant Field Values

### DW_OP_breg21

public static final int DW_OP_breg21

See Also:
  - Constant Field Values

### DW_OP_breg22

public static final int DW_OP_breg22

See Also:
  - Constant Field Values

### DW_OP_breg23

public static final int DW_OP_breg23

See Also:
  - Constant Field Values

### DW_OP_breg24

public static final int DW_OP_breg24

See Also:
  - Constant Field Values

### DW_OP_breg25

public static final int DW_OP_breg25

See Also:
  - Constant Field Values

### DW_OP_breg26

public static final int DW_OP_breg26

See Also:
  - Constant Field Values

### DW_OP_breg27

public static final int DW_OP_breg27

See Also:
  - Constant Field Values

### DW_OP_breg28

public static final int DW_OP_breg28

See Also:
  - Constant Field Values

### DW_OP_breg29

public static final int DW_OP_breg29

See Also:
  - Constant Field Values

### DW_OP_breg30

public static final int DW_OP_breg30

See Also:
  - Constant Field Values

### DW_OP_breg31

public static final int DW_OP_breg31

See Also:
  - Constant Field Values

### DW_OP_regx

public static final int DW_OP_regx

See Also:
  - Constant Field Values

### DW_OP_fbreg

public static final int DW_OP_fbreg

See Also:
  - Constant Field Values

### DW_OP_bregx

public static final int DW_OP_bregx

See Also:
  - Constant Field Values

### DW_OP_piece

public static final int DW_OP_piece

See Also:
  - Constant Field Values

### DW_OP_deref_size

public static final int DW_OP_deref_size

See Also:
  - Constant Field Values

### DW_OP_xderef_size

public static final int DW_OP_xderef_size

See Also:
  - Constant Field Values

### DW_OP_nop

public static final int DW_OP_nop

See Also:
  - Constant Field Values

### DW_OP_push_object_address

public static final int DW_OP_push_object_address

See Also:
  - Constant Field Values

### DW_OP_call2

public static final int DW_OP_call2

See Also:
  - Constant Field Values

### DW_OP_call4

public static final int DW_OP_call4

See Also:
  - Constant Field Values

### DW_OP_call_ref

public static final int DW_OP_call_ref

See Also:
  - Constant Field Values

### DW_OP_lo_user

public static final int DW_OP_lo_user

See Also:
  - Constant Field Values

### DW_OP_hi_user

public static final int DW_OP_hi_user

See Also:
  - Constant Field Values

### DW_ATE_void

public static final int DW_ATE_void

See Also:
  - Constant Field Values

### DW_ATE_address

public static final int DW_ATE_address

See Also:
  - Constant Field Values

### DW_ATE_boolean

public static final int DW_ATE_boolean

See Also:
  - Constant Field Values

### DW_ATE_complex_float

public static final int DW_ATE_complex_float

See Also:
  - Constant Field Values

### DW_ATE_float

public static final int DW_ATE_float

See Also:
  - Constant Field Values

### DW_ATE_signed

public static final int DW_ATE_signed

See Also:
  - Constant Field Values

### DW_ATE_signed_char

public static final int DW_ATE_signed_char

See Also:
  - Constant Field Values

### DW_ATE_unsigned

public static final int DW_ATE_unsigned

See Also:
  - Constant Field Values

### DW_ATE_unsigned_char

public static final int DW_ATE_unsigned_char

See Also:
  - Constant Field Values

### DW_ATE_lo_user

public static final int DW_ATE_lo_user

See Also:
  - Constant Field Values

### DW_ATE_hi_user

public static final int DW_ATE_hi_user

See Also:
  - Constant Field Values

### DW_ACCESS_public

public static final int DW_ACCESS_public

See Also:
  - Constant Field Values

### DW_ACCESS_protected

public static final int DW_ACCESS_protected

See Also:
  - Constant Field Values

### DW_ACCESS_private

public static final int DW_ACCESS_private

See Also:
  - Constant Field Values

### DW_VIS_local

public static final int DW_VIS_local

See Also:
  - Constant Field Values

### DW_VIS_exported

public static final int DW_VIS_exported

See Also:
  - Constant Field Values

### DW_VIS_qualified

public static final int DW_VIS_qualified

See Also:
  - Constant Field Values

### DW_VIRTUALITY_none

public static final int DW_VIRTUALITY_none

See Also:
  - Constant Field Values

### DW_VIRTUALITY_virtual

public static final int DW_VIRTUALITY_virtual

See Also:
  - Constant Field Values

### DW_VIRTUALITY_pure_virtual

public static final int DW_VIRTUALITY_pure_virtual

See Also:
  - Constant Field Values

### DW_LANG_C89

public static final int DW_LANG_C89

See Also:
  - Constant Field Values

### DW_LANG_C

public static final int DW_LANG_C

See Also:
  - Constant Field Values

### DW_LANG_Ada83

public static final int DW_LANG_Ada83

See Also:
  - Constant Field Values

### DW_LANG_C_plus_plus

public static final int DW_LANG_C_plus_plus

See Also:
  - Constant Field Values

### DW_LANG_Cobol74

public static final int DW_LANG_Cobol74

See Also:
  - Constant Field Values

### DW_LANG_Cobol85

public static final int DW_LANG_Cobol85

See Also:
  - Constant Field Values

### DW_LANG_Fortran77

public static final int DW_LANG_Fortran77

See Also:
  - Constant Field Values

### DW_LANG_Fortran90

public static final int DW_LANG_Fortran90

See Also:
  - Constant Field Values

### DW_LANG_Pascal83

public static final int DW_LANG_Pascal83

See Also:
  - Constant Field Values

### DW_LANG_Modula2

public static final int DW_LANG_Modula2

See Also:
  - Constant Field Values

### DW_LANG_Java

public static final int DW_LANG_Java

See Also:
  - Constant Field Values

### DW_LANG_C99

public static final int DW_LANG_C99

See Also:
  - Constant Field Values

### DW_LANG_Ada95

public static final int DW_LANG_Ada95

See Also:
  - Constant Field Values

### DW_LANG_Fortran95

public static final int DW_LANG_Fortran95

See Also:
  - Constant Field Values

### DW_LANG_PL1

public static final int DW_LANG_PL1

See Also:
  - Constant Field Values

### DW_LANG_lo_user

public static final int DW_LANG_lo_user

See Also:
  - Constant Field Values

### DW_LANG_Mips_Assembler

public static final int DW_LANG_Mips_Assembler

See Also:
  - Constant Field Values

### DW_LANG_hi_user

public static final int DW_LANG_hi_user

See Also:
  - Constant Field Values

### DW_ID_case_sensitive

public static final int DW_ID_case_sensitive

See Also:
  - Constant Field Values

### DW_ID_up_case

public static final int DW_ID_up_case

See Also:
  - Constant Field Values

### DW_ID_down_case

public static final int DW_ID_down_case

See Also:
  - Constant Field Values

### DW_ID_case_insensitive

public static final int DW_ID_case_insensitive

See Also:
  - Constant Field Values

### DW_CC_normal

public static final int DW_CC_normal

See Also:
  - Constant Field Values

### DW_CC_program

public static final int DW_CC_program

See Also:
  - Constant Field Values

### DW_CC_nocall

public static final int DW_CC_nocall

See Also:
  - Constant Field Values

### DW_CC_lo_user

public static final int DW_CC_lo_user

See Also:
  - Constant Field Values

### DW_CC_hi_user

public static final int DW_CC_hi_user

See Also:
  - Constant Field Values

### DW_INL_not_inlined

public static final int DW_INL_not_inlined

See Also:
  - Constant Field Values

### DW_INL_inlined

public static final int DW_INL_inlined

See Also:
  - Constant Field Values

### DW_INL_declared_not_inlined

public static final int DW_INL_declared_not_inlined

See Also:
  - Constant Field Values

### DW_INL_declared_inlined

public static final int DW_INL_declared_inlined

See Also:
  - Constant Field Values

### DW_ORD_row_major

public static final int DW_ORD_row_major

See Also:
  - Constant Field Values

### DW_ORD_col_major

public static final int DW_ORD_col_major

See Also:
  - Constant Field Values

### DW_DSC_label

public static final int DW_DSC_label

See Also:
  - Constant Field Values

### DW_DSC_range

public static final int DW_DSC_range

See Also:
  - Constant Field Values

### DW_LNS_copy

public static final int DW_LNS_copy

See Also:
  - Constant Field Values

### DW_LNS_advance_pc

public static final int DW_LNS_advance_pc

See Also:
  - Constant Field Values

### DW_LNS_advance_line

public static final int DW_LNS_advance_line

See Also:
  - Constant Field Values

### DW_LNS_set_file

public static final int DW_LNS_set_file

See Also:
  - Constant Field Values

### DW_LNS_set_column

public static final int DW_LNS_set_column

See Also:
  - Constant Field Values

### DW_LNS_negate_stmt

public static final int DW_LNS_negate_stmt

See Also:
  - Constant Field Values

### DW_LNS_set_basic_block

public static final int DW_LNS_set_basic_block

See Also:
  - Constant Field Values

### DW_LNS_const_add_pc

public static final int DW_LNS_const_add_pc

See Also:
  - Constant Field Values

### DW_LNS_fixed_advance_pc

public static final int DW_LNS_fixed_advance_pc

See Also:
  - Constant Field Values

### DW_LNS_set_prologue_end

public static final int DW_LNS_set_prologue_end

See Also:
  - Constant Field Values

### DW_LNS_set_epilog_begin

public static final int DW_LNS_set_epilog_begin

See Also:
  - Constant Field Values

### DW_LNE_end_sequence

public static final int DW_LNE_end_sequence

See Also:
  - Constant Field Values

### DW_LNE_set_address

public static final int DW_LNE_set_address

See Also:
  - Constant Field Values

### DW_LNE_define_file

public static final int DW_LNE_define_file

See Also:
  - Constant Field Values

### DW_MACINFO_define

public static final int DW_MACINFO_define

See Also:
  - Constant Field Values

### DW_MACINFO_undef

public static final int DW_MACINFO_undef

See Also:
  - Constant Field Values

### DW_MACINFO_start_file

public static final int DW_MACINFO_start_file

See Also:
  - Constant Field Values

### DW_MACINFO_end_file

public static final int DW_MACINFO_end_file

See Also:
  - Constant Field Values

### DW_MACINFO_vendor_ext

public static final int DW_MACINFO_vendor_ext

See Also:
  - Constant Field Values

### DW_MACRO_end

public static final int DW_MACRO_end

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_define

public static final int DW_MACRO_define

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_undef

public static final int DW_MACRO_undef

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_start_file

public static final int DW_MACRO_start_file

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_end_file

public static final int DW_MACRO_end_file

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_define_indirect

public static final int DW_MACRO_define_indirect

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_undef_indirect

public static final int DW_MACRO_undef_indirect

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_transparent_include

public static final int DW_MACRO_transparent_include

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_define_indirect_alt

public static final int DW_MACRO_define_indirect_alt

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_undef_indirect_alt

public static final int DW_MACRO_undef_indirect_alt

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_transparent_include_alt

public static final int DW_MACRO_transparent_include_alt

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_lo_user

public static final int DW_MACRO_lo_user

Since:
  5.7
See Also:
  - Constant Field Values

### DW_MACRO_hi_user

public static final int DW_MACRO_hi_user

Since:
  5.7
See Also:
  - Constant Field Values

### DW_CFA_advance_loc

public static final int DW_CFA_advance_loc

See Also:
  - Constant Field Values

### DW_CFA_offset

public static final int DW_CFA_offset

See Also:
  - Constant Field Values

### DW_CFA_restore

public static final int DW_CFA_restore

See Also:
  - Constant Field Values

### DW_CFA_extended

public static final int DW_CFA_extended

See Also:
  - Constant Field Values

### DW_CFA_nop

public static final int DW_CFA_nop

See Also:
  - Constant Field Values

### DW_CFA_set_loc

public static final int DW_CFA_set_loc

See Also:
  - Constant Field Values

### DW_CFA_advance_loc1

public static final int DW_CFA_advance_loc1

See Also:
  - Constant Field Values

### DW_CFA_advance_loc2

public static final int DW_CFA_advance_loc2

See Also:
  - Constant Field Values

### DW_CFA_advance_loc4

public static final int DW_CFA_advance_loc4

See Also:
  - Constant Field Values

### DW_CFA_offset_extended

public static final int DW_CFA_offset_extended

See Also:
  - Constant Field Values

### DW_CFA_restore_extended

public static final int DW_CFA_restore_extended

See Also:
  - Constant Field Values

### DW_CFA_undefined

public static final int DW_CFA_undefined

See Also:
  - Constant Field Values

### DW_CFA_same_value

public static final int DW_CFA_same_value

See Also:
  - Constant Field Values

### DW_CFA_register

public static final int DW_CFA_register

See Also:
  - Constant Field Values

### DW_CFA_remember_state

public static final int DW_CFA_remember_state

See Also:
  - Constant Field Values

### DW_CFA_restore_state

public static final int DW_CFA_restore_state

See Also:
  - Constant Field Values

### DW_CFA_def_cfa

public static final int DW_CFA_def_cfa

See Also:
  - Constant Field Values

### DW_CFA_def_cfa_register

public static final int DW_CFA_def_cfa_register

See Also:
  - Constant Field Values

### DW_CFA_def_cfa_offset

public static final int DW_CFA_def_cfa_offset

See Also:
  - Constant Field Values

### DW_CFA_low_user

public static final int DW_CFA_low_user

See Also:
  - Constant Field Values

### DW_CFA_MIPS_advance_loc8

public static final int DW_CFA_MIPS_advance_loc8

See Also:
  - Constant Field Values

### DW_CFA_GNU_window_save

public static final int DW_CFA_GNU_window_save

See Also:
  - Constant Field Values

### DW_CFA_GNU_args_size

public static final int DW_CFA_GNU_args_size

See Also:
  - Constant Field Values

### DW_CFA_high_user

public static final int DW_CFA_high_user

See Also:
  - Constant Field Values

## Constructor Details

### DwarfConstants

public DwarfConstants()